package com.sagacloud.pojos.venderDetail;

import java.text.SimpleDateFormat;
import java.util.Date;

/**
 * Created by Xiaoyu on 2018/7/13
 */
public class Contract {
    private String insuranceNo;
    private String expireDate;

    public String getInsuranceNo() {
        return insuranceNo;
    }

    public void setInsuranceNo(String insuranceNo) {
        this.insuranceNo = insuranceNo;
    }

    public String getExpireDate() {
        return expireDate;
    }

    public void setExpireDate(String expireDate) {
        this.expireDate = expireDate;
    }

    public boolean underWarranty(Date now){
        SimpleDateFormat sdf = new SimpleDateFormat("yyyy-MM-dd");
        try {
            Date expire = sdf.parse(expireDate);
            if(now.compareTo(expire) <= 0){
                return true;//在质保期内
            }
            return false;
        }catch (Exception ignore){
            return true;
        }

    }
}
